#include<iostream>
#include<fstream>
#include<string>
#include<sstream>

using std::ifstream;
using std::cin;
using std::cout;
using std::endl;
using std::string;

void main()
{
	//int x = atoi("123");
	//cout << x << endl;

	ifstream fin("bible.txt");

	string line;
	string bookName;
	string verseText = "";
	int chapter = 0;
	int verse = 0;
	getline(fin, line);

	while (!fin.fail())
	{
		if (line.find("Book") == 0)
		{
			if (chapter > 0)
			{
				cout << chapter << endl;
			}
			bookName = line.substr(8);
			cout << bookName << " ";
			getline(fin, line); // throw the next line away
		}
		//if the line begins with a number
		if (line.length() > 0)
		{
			if (isdigit(line[0]))
			{
				//"123" -> 123
				//stoi converts from a string to integer
				//chapter = stoi(line.substr(0, 3));
				//verse = stoi(line.substr(4, 3));
				std::istringstream sin(line);
				sin >> chapter;
				char garbageColon;
				sin >> garbageColon;
				sin >> verse;

				verseText = line.substr(8);
			}
			//if it is the continuation of a verse
			if (line[0] == ' ')
			{
				verseText.append(line.substr(7));
			}
		}
		else
		{
			//most likely reached the end of a verse

			//loop through key words
			//if you find a match the key words in the verse
			if (false)
			{
				//you should write to the file rather than cout
				cout << bookName << " " << chapter << ":" << verse << endl;
			}
		}

		getline(fin, line);
	}
	cout << chapter << endl;
	fin.close();
}

